Name:           mr
Version:        0.39
Release:        1%{?dist}
Summary:        A multiple repository management tool

Group:          Applications/Internet
License:        GPLv2+
URL:            http://kitenet.net/~joey/code/mr/
#Using the tarball from Debian because upstream is only using a git repo
#at http://git.kitenet.net/?p=mr.git
Source0:        http://ftp.de.debian.org/debian/pool/main/m/mr/%{name}_%{version}.tar.gz
Patch0:         %{name}-man.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
The mr command can checkout, update, or perform other actions on
a set of repositories as if they were one combined respository. It
supports any combination of subversion, git, cvs, mecurial, bzr and
darcs repositories, and support for other revision control systems
can easily be added.  


%prep
%setup -q -n %{name}
%patch0 -p1 -b .man

%build
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
install -Dp -m 0755 %{name} %{buildroot}%{_bindir}/%{name}
install -Dp -m 0644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1
for file in lib/git-fake-bare lib/git-svn lib/unison; do
    install -Dp -m 0644 $file %{buildroot}%{_datadir}/%{name}/$file
done


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc GPL README TODO mrconfig mrconfig.complex
%{_mandir}/man*/%{name}*.*
%{_bindir}/%{name}
%{_datadir}/%{name}/


%changelog
* Sun Apr 05 2009 Fabian Affolter <fabian@bernewireless.net> - 0.39-1
- Updated to new upstream version 0.39

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.38-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 04 2009 Fabian Affolter <fabian@bernewireless.net> - 0.38-1
- Updated to new upstream version 0.38

* Fri Jan 02 2009 Fabian Affolter <fabian@bernewireless.net> - 0.35-2
- Patch for the man pages

* Sat Dec 27 2008 Fabian Affolter <fabian@bernewireless.net> - 0.35-1
- Initial package for Fedora

